com.brightcove.player.display

## Class VideoStillDisplayComponent

- java.lang.Object
- - com.brightcove.player.event.AbstractComponent
  - - com.brightcove.player.display.VideoStillDisplayComponent

- All Implemented Interfaces:
    Component

      @Emits(events={"didSetVideoStill","didRemoveVideoStill"})
       @ListensFor(events={"activityStopped","cuePoint","didSeekTo","progress","adProgress","adBreakStarted","fragmentStopped","setVideoStill","willInterruptContent","removeVideoStill"})
      public class VideoStillDisplayComponent
      extends AbstractComponent
      implements Component

  Provides a simple Component interface to load Video Still images from a Video object into an ImageView. Makes use of LoadImageTask to handle loading images over the network.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `TAG`

    - ### Fields inherited from class com.brightcove.player.event.AbstractComponent

      `eventEmitter, listenerTokens`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `VideoStillDisplayComponent(android.widget.ImageView view, EventEmitter eventEmitter)` Initializes this component with the given ImageView and EventEmitter.

  - ### Method Summary

    - ### Methods inherited from class com.brightcove.player.event.AbstractComponent

      `addListener, addOnceListener, getEventEmitter, removeListener, removeListeners`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### TAG

          public static final java.lang.String TAG

  - ### Constructor Detail

    - #### VideoStillDisplayComponent

          public VideoStillDisplayComponent(android.widget.ImageView view,
                                            EventEmitter eventEmitter)

      Initializes this component with the given ImageView and EventEmitter. The Video Still image URL provided in the SET_VIDEO_STILL event will be used to load the image into the ImageView.
      Parameters:
        `view` - the ImageView in which the Video Still image will be loaded.
        `eventEmitter` - the EventEmitter to use in this Component